javax.jcr.query

## Interface QueryResult

All Known Subinterfaces:
  OracleQueryResult

    public interface QueryResult

A QueryResult object. Returned by `Query.execute()`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String[]` `getColumnNames()` Returns an array of all the property names (column names) in this result set.
`NodeIterator` `getNodes()` Returns an iterator over all nodes that match the query.
`RowIterator` `getRows()` Returns an iterator over the `Row`s of the query result table.

### Method Detail

#### getColumnNames

    java.lang.String[] getColumnNames()
                               throws RepositoryException

Returns an array of all the property names (column names) in this result set.

Returns:
  a `PropertyIterator`
Throws:
  `RepositoryException` - if an error occurs.

#### getRows

    RowIterator getRows()
                 throws RepositoryException

Returns an iterator over the `Row`s of the query result table. If an `ORDER BY` clause was specified in the query, then the order of the returned properties in the iterator will reflect the order specified in that clause. If no items match, an empty iterator is returned.

Returns:
  a `RowIterator`
Throws:
  `RepositoryException` - if an error occurs.

#### getNodes

    NodeIterator getNodes()
                   throws RepositoryException

Returns an iterator over all nodes that match the query. If an `ORDER BY` clause was specified in the query, then the order of the returned nodes in the iterator will reflect the order specified in that clause. If no nodes match, an empty iterator is returned.

Returns:
  a `NodeIterator`
Throws:
  `RepositoryException` - if an error occurs.

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.